Bug 734889 - yum-plugin-protect-packages available but won't install
Summary: yum-plugin-protect-packages available but won't install
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum
Version: 6.1
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-31 19:00 UTC by Giacomo G. Brussino
Modified: 2014-01-21 06:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-01 14:53:47 UTC


Attachments (Terms of Use)

Description Giacomo G. Brussino 2011-08-31 19:00:29 UTC
Description of problem: yum-plugin-protect-packages version 1.1.26-11.el6 is available from rhel-x86_64-workstation-6, but won't install.

Version-Release number of selected component (if applicable): 3.2.29-17.el6

How reproducible:


Steps to Reproduce:
1. yum install yum-plugin-protect-packages
2.
3.
  
Actual results:

yum --disableplugin=aliases,auto-update-debuginfo,changelog,dellsysid,downloadonly,fastestmirror,filter-data,kabi,keys,list-data,merge-conf,post-transaction-actions,presto,priorities,protectbase,ps,remove-with-leaves,rpm-warm-cache,security,show-leaves,tsflags,upgrade-helper,verify install yum-plugin-protect-packages
Loaded plugins: rhnplugin
Setting up Install Process
Nothing to do


Expected results:


Additional info:

yum --disableplugin=aliases,auto-update-debuginfo,changelog,dellsysid,downloadonly,fastestmirror,filter-data,kabi,keys,list-data,merge-conf,post-transaction-actions,presto,priorities,protectbase,ps,remove-with-leaves,rpm-warm-cache,security,show-leaves,tsflags,upgrade-helper,verify info yum-plugin-protect-packages
Loaded plugins: rhnplugin
Available Packages
Name        : yum-plugin-protect-packages
Arch        : noarch
Version     : 1.1.26
Release     : 11.el6
Size        : 11 k
Repo        : rhel-x86_64-workstation-6
Summary     : Yum plugin to prevents Yum from removing itself and other
            : protected packages
License     : GPLv2+
Description : this plugin prevents Yum from removing itself and other protected
            : packages. By default, yum is the only package protected, but by
            : extension this automatically protects everything on which yum
            : depends (rpm, python, glibc, and so on).Therefore, the plugin
            : functions well even without compiling careful lists of all
            : important packages.

[root@aurora yum.repos.d]# yum --disableplugin=aliases,auto-update-debuginfo,changelog,dellsysid,downloadonly,fastestmirror,filter-data,kabi,keys,list-data,merge-conf,post-transaction-actions,presto,priorities,protectbase,ps,remove-with-leaves,rpm-warm-cache,security,show-leaves,tsflags,upgrade-helper,verify list available yum-plugin-protect-packages
Loaded plugins: rhnplugin
Available Packages
yum-plugin-protect-packages.noarch    1.1.26-11.el6    rhel-x86_64-workstation-6

Comment 2 James Antill 2011-09-01 14:53:47 UTC
 This is because yum provides that feature now.

 See man yum.conf and protected_packages.

Comment 3 Giacomo G. Brussino 2011-09-02 15:53:52 UTC
Cool. Then I don't see why the package has not been removed.

I got there because I was trying to find a way to protect python-kerberos version 1.1-6.2.el6 from the EPEL package version 1.1-7.1.el6.

I've tried to use yum-plugin-protectbase but did not find the magic incantation
to make it protect the rhn repos.

Hope you can set me straight.

Thank you.

Comment 4 Giacomo G. Brussino 2011-09-02 17:34:14 UTC
I've not been able to get protected_packages to work either!

Comment 5 James Antill 2011-09-16 19:20:09 UTC
It is removed, the newer versions of yum-utils shouldn't have it ... however the older versions will stay around (so you can use it with the older versions of yum).

But that's not what protect_packages does ... it just stops things being removed. You want versionlock or excludes ... or priorities.


Note You need to log in before you can comment on or make changes to this bug.